# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

EGIT_REPO_URI="https://bis64wqhh3louusbd45iyj76kmn4rzw5ysawyan5bkxwyzihj67c5lid.onion/anon/vimdir.git"
inherit git-r3-tor

DESCRIPTION="VIDIR iMproved."

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 x86"

IUSE="man"

BDEPEND="
    sys-devel/gcc
    dev-build/make
    man? ( dev-go/go-md2man )
"

src_compile() {
    default

    if use man; then
        go-md2man < README.md > vimdir.1 || die
    fi
}

src_install() {
    dobin vimdir

    if use man; then
        doman vimdir.1
    fi
}
