# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

EGIT_REPO_URI="https://bis64wqhh3louusbd45iyj76kmn4rzw5ysawyan5bkxwyzihj67c5lid.onion/anon/contra.git"
inherit git-r3-tor

DESCRIPTION="The Contra utility converts the so called C Style Markup Language to HTML/XML and back."

LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 x86"

IUSE="man"

DEPEND=""
RDEPEND=""
BDEPEND="sys-devel/flex sys-devel/bison "

src_compile() {
    default

    if use man; then
        go-md2man < documents/contra.1.md > contra.1.md || die
        go-md2man < documents/contra.5.md > contra.5.md || die
    fi
}

src_install() {
	dobin contra

    if use man; then
        doman contra.1.md
        doman contra.5.md
    fi
}
